- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libwps_internal::WPSStringStream Class Reference

an internal class used to return the OLE InputStream More...

Inheritance diagram for libwps_internal::WPSStringStream:

## Public Member Functions
| WPSStringStream (const unsigned char *data, const unsigned int dataSize)
| ~WPSStringStream ()
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
long | tell ()
int | seek (long offset, WPX_SEEK_TYPE seekType)
bool | atEOS ()
bool | isOLEStream ()
WPXInputStream * | getDocumentOLEStream (const char *)

## Private Member Functions
| WPSStringStream (const WPSStringStream &)
WPSStringStream & | operator= (const WPSStringStream &)

## Private Attributes
std::vector< unsigned char > | buffer
volatile long | offset

## Detailed Description

an internal class used to return the OLE InputStream

## Constructor & Destructor Documentation

libwps_internal::WPSStringStream::WPSStringStream | ( | const unsigned char * | data,
|  | const unsigned int | dataSize
| ) |  |
| inline

libwps_internal::WPSStringStream::~WPSStringStream | ( |  | ) |
| inline

libwps_internal::WPSStringStream::WPSStringStream | ( | const WPSStringStream & |  | ) |
| private

## Member Function Documentation

bool libwps_internal::WPSStringStream::atEOS | ( |  | ) |
| inline

WPXInputStream* libwps_internal::WPSStringStream::getDocumentOLEStream | ( | const char * |  | ) |
| inline

bool libwps_internal::WPSStringStream::isOLEStream | ( |  | ) |
| inline

WPSStringStream& libwps_internal::WPSStringStream::operator= | ( | const WPSStringStream & |  | ) |
| private

const unsigned char * libwps_internal::WPSStringStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libwps_internal::WPSStringStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |

long libwps_internal::WPSStringStream::tell | ( |  | ) |
| inline

## Member Data Documentation

std::vector<unsigned char> libwps_internal::WPSStringStream::buffer
| private

Referenced by atEOS(), read(), seek(), and WPSStringStream().

volatile long libwps_internal::WPSStringStream::offset
| private

Referenced by atEOS(), read(), seek(), and tell().

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp